Bug 1701726 - OSP15 | Overcloud deployment fails when deploying with fluentd template
Summary: OSP15 | Overcloud deployment fails when deploying with fluentd template
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: fluentd
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: 15.0 (Stein)
Assignee: Martin Magr
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-21 08:44 UTC by Leonid Natapov
Modified: 2019-09-26 10:49 UTC (History)
7 users (show)

Fixed In Version: fluentd-0.12.43-5.el8ost openstack-tripleo-heat-templates-10.5.1-0.20190515201547.45ea8c5.el8ost puppet-tripleo-10.4.2-0.20190514171122.c25cd35.el8ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:21:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 657440 0 None MERGED Let fluentd not create /etc/rsyslog.d/fluentd.conf file 2020-11-26 19:45:43 UTC
OpenStack gerrit 657441 0 None MERGED Modified the way fluentd configures rsyslog 2020-11-26 19:45:43 UTC
OpenStack gerrit 658978 0 None MERGED Let fluentd not create /etc/rsyslog.d/fluentd.conf file 2020-11-26 19:46:07 UTC
OpenStack gerrit 659139 0 None MERGED Modified the way fluentd configures rsyslog 2020-11-26 19:46:07 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:21:48 UTC

Description Leonid Natapov 2019-04-21 08:44:34 UTC
OSP15 | Overcloud deployment fails when deploying with fluentd template
--------------------


"2019-04-18 13:16:37,764 ERROR: 15527 -- ['/usr/bin/podman', 'start', '-a', 'container-puppet-fluentd'] run failed after + mkdir -p /etc/puppet",
        "Error: Could not set 'file' on ensure: No such file or directory @ dir_s_mkdir - /etc/rsyslog.d/fluentd.conf20190418-15-11c0g1z.lock (file: /etc/puppet/modules/tripleo/manifests/profile/base/logging/fluentd.pp, line: 237)",
        "No such file or directory @ dir_s_mkdir - /etc/rsyslog.d/fluentd.conf20190418-15-11c0g1z.lock",
        "Error: /Stage[main]/Tripleo::Profile::Base::Logging::Fluentd/File[/etc/rsyslog.d/fluentd.conf]/ensure: change from 'absent' to 'file' failed: Could not set 'file' on ensure: No such file or directory @ dir_s_mkdir - /etc/rsyslog.d/fluentd.conf20190418-15-11c0g1z.lock (file: /etc/puppet/modules/tripleo/manifests/profile/base/logging/fluentd.pp, line: 237)",
"2019-04-18 13:16:37,766 ERROR: 15525 -- ERROR configuring fluentd"

Comment 2 Juan Badia Payno 2019-05-07 10:20:25 UTC
Added some logs from /var/lib/mistral/overcloud/ansible.log

        "2019-05-04 15:42:22,764 ERROR: 16110 -- ['/usr/bin/podman', 'start', '-a', 'container-puppet-fluentd'] run failed after + mkdir -p /etc/puppet",
        "Error: Could not set 'file' on ensure: No such file or directory @ dir_s_mkdir - /etc/rsyslog.d/fluentd.conf20190504-16-2ypcpq.lock (file: /etc/puppet/modules/tripleo/manifests/profile/base/logging/fluentd.pp, line: 237)",
        "No such file or directory @ dir_s_mkdir - /etc/rsyslog.d/fluentd.conf20190504-16-2ypcpq.lock",
        "Error: /Stage[main]/Tripleo::Profile::Base::Logging::Fluentd/File[/etc/rsyslog.d/fluentd.conf]/ensure: change from 'absent' to 'file' failed: Could not set 'file' on ensure: No such file or directory @ dir_s_mkdir - /etc/rsyslog.d/fluentd.conf20190504-16-2ypcpq.lock (file: /etc/puppet/modules/tripleo/manifests/profile/base/logging/fluentd.pp, line: 237)",
        " attempt(s): 3",
        "2019-05-04 15:42:22,764 WARNING: 16110 -- Retrying running container: fluentd",
        "2019-05-04 15:42:22,764 ERROR: 16110 -- Failed running container for fluentd",
        "2019-05-04 15:42:22,764 INFO: 16110 -- Finished processing puppet configs for fluentd",
        "2019-05-04 15:42:22,765 ERROR: 16108 -- ERROR configuring fluentd"

Comment 14 errata-xmlrpc 2019-09-21 11:21:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.